format_version: '1.0'

repository_url: https://github.com/kevinlawler/kona

sequence:
  base_version:
    input_file: '57f6887b.zip'
    commit_sha1: 57f6887b66caa725a2f7e48adaea5d7dbb066ef2
  fix_attempt:
    - input_file: '7dd6d1b2.diff'
      commit_sha1: 7dd6d1b2db4f1f1be1fcf7efcec04496f977ea7c
    - input_file: 'f1a1b95d.diff'
      commit_sha1: f1a1b95d7cafdaf8b151f87482db84c8f7997cda
    
  expected_fix:
    input_file: '479938ad.diff'
    commit_sha1: 479938adb94ae7fc7a71f8f3a02f0139ac8e8184

  
classification: partial fix
categories:
  - control-flow

  
metadata:
  language: C
  strategy: reopen
  build_system: ['make']
  related_issue: https://github.com/kevinlawler/kona/issues/501
